// -------------------------------------------------------------------------------------------------
// xsMarco.hpp
// -------------------------------------------------------------------------------------------------

// Se incluye la librería
#include "xsEasyCpp.hpp"

#ifndef __xsMarco_hpp__
#define __xsMarco_hpp__

Clase xsMarco : Publica xsObjeto
{
	Publica:

	    xsMarco();

		Vacio crear(xsCadena titulo);
		
	    xsMarco(xsCadena titulo);
		          
		Vacio colocarTitulo(xsCadena titulo);

        xsCadena obtenerTitulo();

		Vacio colocarAlineamientoTitulo(Flotante xPos, 
		                                Flotante yPos);

		Vacio obtenerAlineamientoTitulo(Flotante* xPos, 
		                                Flotante* yPos);

        Vacio colocarSombra(xsTipoSombra tipoSombra);

        xsTipoSombra obtenerSombra();

		Vacio agregarAlMarco(xsObjetoGUI *objetoInsertar);
};

// Fin de la Definición del Archivo
#endif
